% 模拟10秒内的速度数据
time = 0:1:9; % 时间从0秒到9秒
speed = randi([0, 20], 1, 10); % 生成10个0到20之间的随机速度值

for i = 1:length(time)
    currentSpeed = speed(i);
    disp(['Time: ', num2str(time(i)), ' sec, Speed: ', num2str(currentSpeed), ' m/s']);
    pause(1); % 暂停1秒，模拟实时读数
end

plot(time, speed);
title('Speed Sensor Readings Over Time');
xlabel('Time (seconds)');
ylabel('Speed (m/s)');
