% 模拟的GPS坐标数据（纬度和经度）
latitudes = [40.7128, 40.7130, 40.7132, 40.7134, 40.7136]; % 一系列纬度值
longitudes = [-74.0060, -74.0062, -74.0064, -74.0066, -74.0068]; % 对应的经度值

for i = 1:length(latitudes)
    currentLatitude = latitudes(i);
    currentLongitude = longitudes(i);
    fprintf('Current Position: Latitude = %f, Longitude = %f\n', currentLatitude, currentLongitude);
    pause(1); % 暂停1秒钟来模拟实时数据更新
end

plot(longitudes, latitudes, 'b-o');
title('GPS Track');
xlabel('Longitude');
ylabel('Latitude');
grid on;
